"{ Package: 'jv:dragonfly/asm' }"

"{ NameSpace: Smalltalk }"

AJInstruction subclass:#AJJumpInstruction
	instanceVariableNames:'label description'
	classVariableNames:''
	poolDictionaries:''
	category:'AsmJit-Instructions'
!

AJJumpInstruction comment:''
!

!AJJumpInstruction methodsFor:'accessing'!

codeSize
    ^ machineCode size
!

description
    ^ description
!

description: anInstructionDescription
    description := anInstructionDescription
!

label
    ^ label
!

label: anObject
    label := anObject
! !

!AJJumpInstruction methodsFor:'printing'!

printSelfOn: aStream  
    aStream nextPutAll: name; space.
    label printSelfOn: aStream.
        
    machineCode ifNotNil: [
        aStream space; nextPut: $[ .
        machineCode do: [:byte | aStream nextPutAll: (byte printStringBase: 16)] separatedBy: [ aStream space ].
        aStream nextPut: $].	
    ].
! !

!AJJumpInstruction methodsFor:'testing'!

isLabelUsed: anAJJumpLabel
    ^ label = anAJJumpLabel 
! !

!AJJumpInstruction methodsFor:'visitor'!

accept: anObject
    ^ anObject jumpInstruction: self
! !

