"{ Package: 'jv:dragonfly/asm' }"

"{ NameSpace: Smalltalk }"

AJCallInfo subclass:#AJStdCallCallInfo
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'AsmJit-StackManagement'
!

AJStdCallCallInfo comment:'stdcall calling convention.
Used on windows. No need for stack cleanup after call. No need to align stack before making call.'
!

!AJStdCallCallInfo methodsFor:'emitting code'!

emitAlignment
    "do nothing"
    
    "stdcall calling convention requires no stack alignment, no stack cleanup after call"
!

emitAlignmentIfNeeded
    "do nothing"
    
    "stdcall calling convention requires no stack alignment, no stack cleanup after call"
! !

